﻿@model ARGNS.Model.Implementations.View.JsonObjectResult

@{
    if (Model.Others.Where(c => c.Key == "jsonQueryResult") != null && Model.Others.Where(c => c.Key == "jsonQueryResult").FirstOrDefault().Value != null)
    {
        RecordsetView mRecordSet = Newtonsoft.Json.JsonConvert.DeserializeObject<RecordsetView>(Model.Others.Where(c => c.Key == "jsonQueryResult").FirstOrDefault().Value);
        List<string> mHeadersName = new List<string>();
        if (mRecordSet != null && mRecordSet.Row != null)
        {
            mHeadersName = mRecordSet.Row.FirstOrDefault().Property.Select(c => c.Name).ToList();
        }

        <div id="TableItemsForm" style="height: 400px; overflow-y: auto; display: block; width: 100%;float: left;">
            <table class="table table-striped">
                <thead>
                    <tr>
                        @foreach (string mHeaderName in mHeadersName)
                        {
                            <th><strong>@mHeaderName</strong></th>
                        }
                    </tr>
                </thead>
                <tbody>
                    @if (mRecordSet != null && mRecordSet.Row != null)
                    {
                        foreach (RecordsetRowView item in mRecordSet.Row)
                        {
                            <tr>
                                @foreach (RecordsetRowPropertyView mProperty in item.Property)
                                {
                                    <td>@mProperty.Value</td>
                                }
                            </tr>
                        }
                    }
                </tbody>
            </table>
        </div>
    }
}